Name:           perl-HTTP-Async
Version:        0.09
Release:        1%{?dist}
Summary:        Process multiple HTTP requests in parallel without blocking
License:        CHECK(GPL+ or Artistic)
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/HTTP-Async/
Source0:        http://www.cpan.org/authors/id/E/EV/EVDB/HTTP-Async-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  perl(HTTP::Request)
BuildRequires:  perl(HTTP::Response)
BuildRequires:  perl(HTTP::Server::Simple::CGI)
BuildRequires:  perl(HTTP::Status)
BuildRequires:  perl(LWP::UserAgent)
BuildRequires:  perl(Net::HTTP)
BuildRequires:  perl(Net::HTTP::NB)
BuildRequires:  perl(Test::HTTP::Server::Simple)
BuildRequires:  perl(URI)
BuildRequires:  perl(URI::Escape)
Requires:       perl(HTTP::Request)
Requires:       perl(HTTP::Response)
Requires:       perl(HTTP::Server::Simple::CGI)
Requires:       perl(HTTP::Status)
Requires:       perl(LWP::UserAgent)
Requires:       perl(Net::HTTP)
Requires:       perl(Net::HTTP::NB)
Requires:       perl(Test::HTTP::Server::Simple)
Requires:       perl(URI)
Requires:       perl(URI::Escape)
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
Although using the conventional LWP::UserAgent is fast and easy it does
have some drawbacks - the code execution blocks until the request has been
completed and it is only possible to process one request at a time.
HTTP::Async attempts to address these limitations.

%prep
%setup -q -n HTTP-Async-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc CHANGES README TODO
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Fri Mar 13 2009 Dave Cross <dave@mag-sol.com> 0.09-1
- Specfile autogenerated by cpanspec 1.77.
